# ActiveAdmin::Trix
Trix is a text editor written for Basecamp. It's simple and cool and ActiveAdmin needed a plugin for it.

## Usage
In your config/initializer/active_admin.rb
add
```ruby
config.register_stylesheet 'https://cdn.bootcss.com/trix/1.0.0/trix.css'
config.register_javascript 'https://cdn.bootcss.com/trix/1.0.0/trix.js'
```

In your activeadmin form block, implement the Trix editor like so:
```ruby
 f.input :content, as: :trix
```

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'activeadmin-trix'
```

And then execute:
```bash
$ bundle
```

Or install it yourself as:
```bash
$ gem install activeadmin-trix
```

## Contributing
Contribution directions go here.

## License
The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
